Android versions and Android Auto

Discussion in 'IT & Internet' started by UKSBD, Mar 8, 2020.

  1. UKSBD

    UKSBD Not a real duck Staff Member

    9,822 1,877
    Trying to download the Android Auto app on my phone and it tells me my device isn't compatible

    It says android 5.0 (Lollipop) and up is required.
    My phone is running Android 8.1 (Oreo)

    Anyone know why it says my device isn't compatible?
     
    Posted: Mar 8, 2020 By: UKSBD Member since: Dec 30, 2005
    #1
  2. UrbanRetail

    UrbanRetail UKBF Regular Free Member

    244 75
    I had the same problem with our new car. Turns out I needed to update 'Google Play Services' to the latest version.
     
    Posted: Mar 8, 2020 By: UrbanRetail Member since: Mar 3, 2012
    #2
  3. UKSBD

    UKSBD Not a real duck Staff Member

    9,822 1,877

    I wish I knew what you were talking about :(
    I hate phones
     
    Posted: Mar 8, 2020 By: UKSBD Member since: Dec 30, 2005
    #3
  4. Nico Albrecht

    Nico Albrecht UKBF Enthusiast Full Member - Verified Business

    715 130
    Let's get the party started by providing the support phones :

    • Google:
      • Pixel/XL
      • Pixel2/2 XL
      • Pixel 3/3 XL
      • Pixel 4/4 XL
      • Nexus 5X
      • Nexus 6P
    • Samsung:
      • Galaxy S8/S8+
      • Galaxy S9/S9+
      • Galaxy S10/S10+
      • Galaxy Note 8
      • Galaxy Note 9
      • Galaxy Note 10
    Those ones are the compatibles ones it might work with others. Went on holidays and tried to do the same with my S10 never worked and I gave up. Had a fiat and bmw as rental
     
    Posted: Mar 8, 2020 By: Nico Albrecht Member since: May 2, 2017
    #4
  5. UrbanRetail

    UrbanRetail UKBF Regular Free Member

    244 75
    Google 'update google play services' on your phone browser and click the app icon.

    My phone's a Huawei Honor 10 for the record.
     
    Posted: Mar 8, 2020 By: UrbanRetail Member since: Mar 3, 2012
    #5
  6. UKSBD

    UKSBD Not a real duck Staff Member

    9,822 1,877

    Thanks,
    so it's not just the Android version you have it's the handset too?

    If so, and you want to use Android Auto in a car is it worth just getting the cheapest of the compatible handsets?
     
    Posted: Mar 8, 2020 By: UKSBD Member since: Dec 30, 2005
    #6
  7. UKSBD

    UKSBD Not a real duck Staff Member

    9,822 1,877

    according to that it is all up to date, last updated 6th March
     
    Posted: Mar 8, 2020 By: UKSBD Member since: Dec 30, 2005
    #7
  8. Nico Albrecht

    Nico Albrecht UKBF Enthusiast Full Member - Verified Business

    715 130
    Most android phones should work via usb port if your car got one but if you want the wireless features you need one of the support ones. Again mine is fully supported and I never got it working on a Fiat and BMW car system. Also vis usb the phone never charged properly either and went appsshit.
     
    Posted: Mar 8, 2020 By: Nico Albrecht Member since: May 2, 2017
    #8
  9. Nico Albrecht

    Nico Albrecht UKBF Enthusiast Full Member - Verified Business

    715 130
    What car e.g brand model and year do you have?
     
    Posted: Mar 8, 2020 By: Nico Albrecht Member since: May 2, 2017
    #9
  10. UKSBD

    UKSBD Not a real duck Staff Member

    9,822 1,877
    I haven't yet, just trying to get it on my phone 1st
     
    Posted: Mar 8, 2020 By: UKSBD Member since: Dec 30, 2005
    #10
  11. Nico Albrecht

    Nico Albrecht UKBF Enthusiast Full Member - Verified Business

    715 130
    Posted: Mar 8, 2020 By: Nico Albrecht Member since: May 2, 2017
    #11
  12. UKSBD

    UKSBD Not a real duck Staff Member

    9,822 1,877
    Boy, there is so much contradiction out there :(

    You read posts saying phones are compatible, others saying they're not
    How can you even buy a handset if you don't know whether it will be or not? :(
     
    Last edited: Mar 8, 2020
    Posted: Mar 8, 2020 By: UKSBD Member since: Dec 30, 2005
    #12
  13. UKSBD

    UKSBD Not a real duck Staff Member

    9,822 1,877

    I'm just trying to get it on a phone at the moment, it's not a Huawei it's a MOTO-E5

    Found lots of posts reporting same problem.

    What I'm looking for now is a cheap phone that definitely is.
    (Don't want to go buying a new phone, setting it up, and finding I still can't download Android Auto on it)
     
    Posted: Mar 8, 2020 By: UKSBD Member since: Dec 30, 2005
    #13
  14. UKSBD

    UKSBD Not a real duck Staff Member

    9,822 1,877
    Crazy
    Just found a 2 year older, cheaper, moto phone that I rarely use and Android Auto loaded on that fine.

    Solved the problem, will now just use that one in the car
     
    Posted: Mar 8, 2020 By: UKSBD Member since: Dec 30, 2005
    #14